std::chrono::day::ok(3)

NAME
std::chrono::day::ok - std::chrono::day::ok

Synopsis
   constexpr bool ok() const noexcept; (since C++20)
   Checks if the day value stored in *this is in the valid range, i.e., [1, 31].

Return value
   true if the day value stored in *this is in the range [1, 31]. Otherwise false.

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     std::chrono::day d1{15};
     std::cout << static_cast<unsigned>(d1);
     if (d1.ok()) {
         std::cout << " is a valid day.\n";
     } else {
         std::cout << " is an invalid day!\n";
     }
     std::chrono::day d2{35};
     std::cout << static_cast<unsigned>(d2)
               << (d2.ok() ? " is a valid day.\n"
                        : " is an invalid day!\n");
 }

Output:
 15 is a valid day.
 35 is an invalid day!

See also
   operator unsigned retrieves the stored day value
                     (public member function)